Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface BPMConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface BPMConfigurationMBean
extends weblogic.management.configuration.ConfigurationMBean

MBean for managing general properties of BPM subsystem. The properties exposed via this MBean can be changed to affect certain aspects of BPM engine.

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`long` | `getArchiveProcessInterval()` Returns time in milliseconds to indicate how often Archive process is run.
`long` | `getArchiveProcessStart()` UTC time in milliseconds when the 1st automated invocation of the Archive process will take place.
`String` | `getArchiverDataSourceName()` Returns JNDI name for the DataSource that points to archvie DB.
`boolean` | `getArchiverEnabled()` Returns whether the archiver is enabled.
`ArchivingPolicy` | `getDefaultArchivingPolicy()` Returns the default archiving policy for processes whose archiving policy is `ArchivingPolicy.DEFAULT`.
`TrackingLevel` | `getDefaultProcessTrackingLevel()` Returns the default Process tracking level for processes whose tracking level is `TrackingLevel.DEFAULT`.
`VariableTracking` | `getDefaultVariableTracking()` Returns default variable tracking policy.
`int` | `getPurgeDelay()` Returns the purge delay in seconds.
`void` | `registerAdminMBeans(byte[] appManifest, String appName)` Internal operation that is used by managed servers to trigger MBean registration upon deployment.
`void` | `registerVersioningMBeans(Map configMap, String appName)` Internal operation that is used by managed servers to trigger Versioning-specific MBean registration upon application deployment.
`void` | `setArchiveProcessInterval(long time)` Sets time in milliseconds to indicate how often Archive process is run.
`void` | `setArchiveProcessStart(long time)` Sets UTC time in milliseconds when the 1st automated invocation of the Archive process will take place.
`void` | `setArchiverDataSourceName(String jndiName)` Sets JNDI name for the DataSource that points to archive DB.
`void` | `setArchiverEnabled(boolean isEnabled)` Global switch to enable/disable WLI Archiver.
`void` | `setDefaultArchivingPolicy(ArchivingPolicy newArchivingPolicy)` Sets the default archiving policy for processes whose archiving policy is `ArchivingPolicy.DEFAULT`.
`void` | `setDefaultProcessTrackingLevel(TrackingLevel newTrackingLevel)` Sets the default process tracking level for processes whose tracking level is `TrackingLevel.DEFAULT`.
`void` | `setDefaultVariableTracking(VariableTracking newVarTrackPolicy)` Global switch to enable/disable Process Variable Tracking.
`void` | `setPurgeDelay(int delay)` Sets the purge delay in seconds.
`void` | `unregisterAdminMBeans(byte[] appManifest, String appName)` Internal operation that is used by managed servers to trigger.
`void` | `unregisterVersioningMBeans(Map configMap, String appName)` Internal operation that is used by managed servers to trigger Versioning-specific MBean unregistration upon application deployment.
`void` | `updateArchiveProcessStartPropertyOnly(long time)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getDefaultProcessTrackingLevel

    public TrackingLevel getDefaultProcessTrackingLevel()

  Returns the default Process tracking level for processes whose tracking level is `TrackingLevel.DEFAULT`.

  Returns:
    the default Process tracking level for processes whose tracking level is `TrackingLevel.DEFAULT`.

### setDefaultProcessTrackingLevel

    public void setDefaultProcessTrackingLevel(TrackingLevel newTrackingLevel)
                                        throws javax.management.MBeanException,
                                               javax.management.InvalidAttributeValueException

  Sets the default process tracking level for processes whose tracking level is `TrackingLevel.DEFAULT`.

  Parameters:
    `newTrackingLevel` - the new process tracking level
  Throws:
    `javax.management.InvalidAttributeValueException` - when `newTrackingLevel` is an invalid tracking level.
    `javax.management.MBeanException` - indicates any other exception

### getDefaultArchivingPolicy

    public ArchivingPolicy getDefaultArchivingPolicy()

  Returns the default archiving policy for processes whose archiving policy is `ArchivingPolicy.DEFAULT`.

  Returns:
    the default archiving policy for processes whose archiving policy is `ArchivingPolicy.DEFAULT`.

### setDefaultArchivingPolicy

    public void setDefaultArchivingPolicy(ArchivingPolicy newArchivingPolicy)
                                   throws javax.management.MBeanException,
                                          javax.management.InvalidAttributeValueException

  Sets the default archiving policy for processes whose archiving policy is `ArchivingPolicy.DEFAULT`.

  Parameters:
    `newArchivingPolicy` - the new archiving policy
  Throws:
    `javax.management.InvalidAttributeValueException` - if an invalid policy is provided
    `javax.management.MBeanException` - if another error occurs while setting the archiving policy

### setPurgeDelay

    public void setPurgeDelay(int delay)
                       throws javax.management.MBeanException

  Sets the purge delay in seconds.

  Parameters:
    `delay` - the purge delay in seconds.
  Throws:
    `javax.management.MBeanException`

### getPurgeDelay

    public int getPurgeDelay()

  Returns the purge delay in seconds.

  Returns:
    purge delay in seconds.

### setArchiverEnabled

    public void setArchiverEnabled(boolean isEnabled)
                            throws javax.management.MBeanException

  Global switch to enable/disable WLI Archiver.

  Parameters:
    `isEnabled` - `true` to enable the archiver, `false` to disable.
  Throws:
    `javax.management.MBeanException`

### getArchiverEnabled

    public boolean getArchiverEnabled()

  Returns whether the archiver is enabled.

  Returns:
    whether the archiver is enabled.

### setDefaultVariableTracking

    public void setDefaultVariableTracking(VariableTracking newVarTrackPolicy)
                                    throws javax.management.MBeanException,
                                           javax.management.InvalidAttributeValueException

  Global switch to enable/disable Process Variable Tracking.

  Parameters:
    `newVarTrackPolicy` - the new archiving policy
  Throws:
    `javax.management.InvalidAttributeValueException` - if an invalid policy is provided
    `javax.management.MBeanException` - if another error occurs while setting the archiving policy

### getDefaultVariableTracking

    public VariableTracking getDefaultVariableTracking()

  Returns default variable tracking policy.

  Returns:
    default variable tracking policy.

### setArchiverDataSourceName

    public void setArchiverDataSourceName(String jndiName)
                                   throws javax.management.MBeanException

  Sets JNDI name for the DataSource that points to archive DB.

  Parameters:
    `jndiName` - The JNDI name of the data source where the archive data is stored.
  Throws:
    `javax.management.MBeanException`

### getArchiverDataSourceName

    public String getArchiverDataSourceName()

  Returns JNDI name for the DataSource that points to archvie DB.

  Returns:
    JNDI name for the DataSource that points to archvie DB.

### setArchiveProcessStart

    public void setArchiveProcessStart(long time)
                                throws javax.management.MBeanException

  Sets UTC time in milliseconds when the 1st automated invocation of the Archive process will take place.

  Parameters:
    `time` - archive process time in UTC milliseconds.
  Throws:
    `javax.management.MBeanException`

### updateArchiveProcessStartPropertyOnly

    public void updateArchiveProcessStartPropertyOnly(long time)
                                               throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getArchiveProcessStart

    public long getArchiveProcessStart()

  UTC time in milliseconds when the 1st automated invocation of the Archive process will take place.

  Returns:
    UTC time in milliseconds when the 1st automated invocation of the Archive process will take place.

### setArchiveProcessInterval

    public void setArchiveProcessInterval(long time)
                                   throws javax.management.MBeanException

  Sets time in milliseconds to indicate how often Archive process is run.

  Parameters:
    `time` - the archive interval in milliseconds
  Throws:
    `javax.management.MBeanException`

### getArchiveProcessInterval

    public long getArchiveProcessInterval()

  Returns time in milliseconds to indicate how often Archive process is run.

### registerAdminMBeans

    public void registerAdminMBeans(byte[] appManifest,
                                    String appName)
                             throws javax.management.MBeanException

  Internal operation that is used by managed servers to trigger MBean registration upon deployment.

  Parameters:
    `appManifest` - the application Manifest
    `appName` - the application Name
  Throws:
    `javax.management.MBeanException` - on error

### unregisterAdminMBeans

    public void unregisterAdminMBeans(byte[] appManifest,
                                      String appName)
                               throws javax.management.MBeanException

  Internal operation that is used by managed servers to trigger. MBean unregistration upon undeployment.

  Parameters:
    `appManifest` - the application Manifest
    `appName` - the application Name
  Throws:
    `javax.management.MBeanException` - on error

### registerVersioningMBeans

    public void registerVersioningMBeans(Map configMap,
                                         String appName)
                                  throws javax.management.MBeanException

  Internal operation that is used by managed servers to trigger Versioning-specific MBean registration upon application deployment. This is called for packaged EARS and exploded EARS as well

  Parameters:
    `configMap` - configuration map
    `appName` - the application name
  Throws:
    `javax.management.MBeanException` - on error

### unregisterVersioningMBeans

    public void unregisterVersioningMBeans(Map configMap,
                                           String appName)
                                    throws javax.management.MBeanException

  Internal operation that is used by managed servers to trigger Versioning-specific MBean unregistration upon application deployment. This is called for packaged EARS and exploded EARS as well.

  Parameters:
    `configMap` - configuration map
    `appName` - the application name
  Throws:
    `javax.management.MBeanException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD